Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518826 - AWS Network routers can't be refreshed by targeted refresh
Summary: AWS Network routers can't be refreshed by targeted refresh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Ladislav Smola
QA Contact: Matouš Mojžíš
URL:
Whiteboard: network:cloud:ec2:refresh
Depends On:
Blocks: 1520973 1539860
TreeView+ depends on / blocked
 
Reported: 2017-11-29 15:46 UTC by Matouš Mojžíš
Modified: 2018-08-21 10:47 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1520973 1539860 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:02:39 UTC
Category: ---
Cloudforms Team: AWS


Attachments (Terms of Use)

Description Matouš Mojžíš 2017-11-29 15:46:38 UTC
Description of problem:
AWS Network routers can't be refreshed by targeted refresh so they have to be refreshed by full refresh.
Version-Release number of selected component (if applicable):
5.9.0.11

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 CFME Bot 2017-12-04 16:13:38 UTC
New commit detected on ManageIQ/manageiq-content/master:
https://github.com/ManageIQ/manageiq-content/commit/b762ddbb4271d5ad67e86e8f7afb644ee8976cd3

commit b762ddbb4271d5ad67e86e8f7afb644ee8976cd3
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Thu Nov 30 14:54:46 2017 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Thu Nov 30 14:56:22 2017 +0100

    Force full refresh for router based events
    
    Force full refresh for router based events. We are not able to
    do targeted refresh for routers, until we have changes that will
    land for h-release
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1518826

 .../Event/EmsEvent/Amazon.class/aws_api_call_associateroutetable.yaml   | 2 +-
 .../System/Event/EmsEvent/Amazon.class/aws_api_call_createroute.yaml    | 2 +-
 .../Event/EmsEvent/Amazon.class/aws_api_call_createroutetable.yaml      | 2 +-
 .../System/Event/EmsEvent/Amazon.class/aws_api_call_deleteroute.yaml    | 2 +-
 .../Event/EmsEvent/Amazon.class/aws_api_call_deleteroutetable.yaml      | 2 +-
 .../EmsEvent/Amazon.class/aws_api_call_disassociateroutetable.yaml      | 2 +-
 .../Amazon.class/aws_api_call_replaceroutetableassociation.yaml         | 2 +-
 .../System/Event/EmsEvent/Amazon.class/aws_ec2_routetable_create.yaml   | 2 +-
 .../System/Event/EmsEvent/Amazon.class/aws_ec2_routetable_delete.yaml   | 2 +-
 .../System/Event/EmsEvent/Amazon.class/aws_ec2_routetable_update.yaml   | 2 +-
 10 files changed, 10 insertions(+), 10 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.